#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
%bcond_with	tests_i18n	# tests with localization (requires some DateTime::Locale language resources)

%define		pdir	DateTime
%define		pnam	Format-Strptime
Summary:	DateTime::Format::Strptime - Parse and format strp and strf time patterns
Summary(pl.UTF-8):	DateTime::Format::Strptime - analiza i formatowanie wzorców czasu strp i strf
Name:		perl-DateTime-Format-Strptime
# fill version to 4 decimal digits to avoid epoch bumps after 1.5000 (drop in >= 2.x if possible)
%define	rver	1.77
Version:	%{rver}00
Release:	1
License:	Artistic v2.0
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DateTime/DateTime-Format-Strptime-%{rver}.tar.gz
# Source0-md5:	891c38cdbe0a30291ed4afe711a17e3b
URL:		https://metacpan.org/release/DateTime-Format-Strptime
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.31
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-DateTime >= 1:1.00
BuildRequires:	perl-DateTime-Locale >= 1.23
BuildRequires:	perl-DateTime-TimeZone >= 2.09
BuildRequires:	perl-Params-ValidationCompiler
BuildRequires:	perl-Specio >= 0.33
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Warnings
BuildRequires:	perl-Try-Tiny
%endif
%if %{with tests_i18n} && "%(ls /usr/share/perl5/vendor_perl/auto/share/dist/DateTime-Locale/{de,en-AU,en-GB,en-US-POSIX,fr,fr-FR,ga,pt,zh}.pl >/dev/null 2>&1 ; echo $?)" != "0"
BuildRequires:	perl-DateTime-Locale(with_locales:de;en-AU;en-GB;en-US;fr;fr-FR;ga;pt;zh)
%endif
Requires:	perl-DateTime >= 1.00
Requires:	perl-DateTime-Locale >= 1.23
Requires:	perl-DateTime-TimeZone >= 2.09
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements most of strptime(3), the POSIX function that is
the reverse of strftime(3), for DateTime. While strftime takes a
DateTime and a pattern and returns a string, strptime takes a string
and a pattern and returns the DateTime object associated.

%description -l pl.UTF-8
Ten moduł implementuje większość strptime(3) - funkcji POSIX będącej
odwrotną dla strftime(3), dla DateTime. O ile strftime przyjmuje
DateTime i wzorzec, a zwraca łańcuch, to strptime przyjmuje łańcuch i
wzorzec, a zwraca powiązany obiekt DateTime.

%prep
%setup -q -n %{pdir}-%{pnam}-%{rver}

%if %{with tests} && %{without tests_i18n}
%{__sed} -i -e "/^\[\(Australian\|UK\|French\)/,/^\[/ d" t/basic.t
%{__sed} -i -e "/locale.*'pt'/ s/'pt'/'en-US'/" t/format-datetime.t
%{__rm} t/format-with-locale.t t/locale-{de,ga,pt,zh}.t
%endif

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/DateTime/Format/Strptime.pm
%{perl_vendorlib}/DateTime/Format/Strptime
%{_mandir}/man3/DateTime::Format::Strptime.3pm*
%{_mandir}/man3/DateTime::Format::Strptime::Types.3pm*
%changelog
* Tue May 05 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-DateTime-Format-Strptime.git;a=log;h=master

* Tue May 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 980ec15
- updated to 1.77[00]

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 96ca3c6
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Oct 05 2018 Jakub Bogusz <qboosh@pld-linux.org> 806f6a1
- updated to 1.75 (as 1.7500)

* Tue Nov 29 2016 Jakub Bogusz <qboosh@pld-linux.org> c394a90
- updated to 1.68 (as 1.6800)

* Wed Feb 04 2015 Jakub Bogusz <qboosh@pld-linux.org> a0678e5
- updated to 1.56

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> cdf35bf
- updated to 1.54

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> e00fc01
- updated to 1.51 (as 1.5100 to avoid epoch bumps)

* Mon Jan 16 2012 zbyniu <zbyniu@pld-linux.org> f4e97c3
- release 4

* Sat Dec 10 2011 Elan Ruusamäe <glen@pld-linux.org> c772388
- release 2

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> c4bbf43
- updated to 1.5000

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c0e0b10
- up to 1.0701

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d3d80d4
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 94167ee
- converted to UTF-8

* Fri Aug 25 2006 Elan Ruusamäe <glen@pld-linux.org> be1e964
- rel 2

* Thu Aug 24 2006 Jakub Bogusz <qboosh@pld-linux.org> b8a30cb
- pl, package names in BRs

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> be30697
- new

